import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.instances.flavors.list(
project_id=1,
region_id=7,
)
page = page.results[0]
print(page)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Instances.Flavors.List(context.TODO(), cloud.InstanceFlavorListParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/flavors/{project_id}/{region_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/flavors/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"architecture": "x86_64",
"disabled": false,
"flavor_id": "g2-standard-32-64",
"flavor_name": "g2-standard-32-64",
"hardware_description": {},
"os_type": "linux",
"ram": 2048,
"vcpus": 1
}
]
}List instance flavors
Retrieve a list of available instance flavors in the project and region.
When include_prices is specified, the list includes pricing information.
Trial mode clients see all prices as 0. Contact support for pricing errors.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.instances.flavors.list(
project_id=1,
region_id=7,
)
page = page.results[0]
print(page)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Instances.Flavors.List(context.TODO(), cloud.InstanceFlavorListParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
7
Query Parameters
Flag for filtering disabled flavors in the region. Defaults to true
Set to true to exclude flavors dedicated to linux images
Set to true to exclude flavors dedicated to windows images
Set to true if the response should include flavor prices
Optional. Limit the number of returned items
x <= 10001000
Optional. Offset value is used to exclude the first set of records from the result
x >= 00
Response
OK
Number of objects
x >= 01
Objects
Instances flavor schema without price information
- Instances flavor schema without price
- Instances flavor schema with price
Show child attributes
Show child attributes
Was this page helpful?